org.apache.cassandra.cql3

## Interface Conditions

All Known Implementing Classes:
  ColumnConditions

    public interface Conditions

Conditions that can be applied to a mutation statement.

### Field Summary

Fields
`static Conditions` `EMPTY_CONDITION` An EMPTY condition
`static Conditions` `IF_EXISTS_CONDITION` IF EXISTS condition
`static Conditions` `IF_NOT_EXISTS_CONDITION` IF NOT EXISTS condition

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addConditionsTo(CQL3CasRequest request, Clustering clustering, QueryOptions options)` Adds the conditions to the specified CAS request.
`void` `addFunctionsTo(java.util.List<Function> functions)` Adds the functions used by the conditions to the specified list.
`boolean` `appliesToRegularColumns()` Checks if some of the conditions apply to regular columns.
`boolean` `appliesToStaticColumns()` Checks if some of the conditions apply to static columns.
`java.lang.Iterable<ColumnDefinition>` `getColumns()` Returns the column definitions to which apply the conditions.
`boolean` `isEmpty()` Checks if this `Conditions` is empty.
`boolean` `isIfExists()` Checks if this is a IF EXIST condition.
`boolean` `isIfNotExists()` Checks if this is a IF NOT EXIST condition.

### Field Detail

#### EMPTY_CONDITION

    static final Conditions EMPTY_CONDITION

An EMPTY condition

#### IF_EXISTS_CONDITION

    static final Conditions IF_EXISTS_CONDITION

IF EXISTS condition

#### IF_NOT_EXISTS_CONDITION

    static final Conditions IF_NOT_EXISTS_CONDITION

IF NOT EXISTS condition

### Method Detail

#### addFunctionsTo

    void addFunctionsTo(java.util.List<Function> functions)

Adds the functions used by the conditions to the specified list.

Parameters:
  `functions` - the list to add to

#### getColumns

    java.lang.Iterable<ColumnDefinition> getColumns()

Returns the column definitions to which apply the conditions.

Returns:
  the column definitions to which apply the conditions.

#### isEmpty

    boolean isEmpty()

Checks if this `Conditions` is empty.

Returns:
  `true` if this `Conditions` is empty, `false` otherwise.

#### isIfExists

    boolean isIfExists()

Checks if this is a IF EXIST condition.

Returns:
  `true` if this is a IF EXIST condition, `false` otherwise.

#### isIfNotExists

    boolean isIfNotExists()

Checks if this is a IF NOT EXIST condition.

Returns:
  `true` if this is a IF NOT EXIST condition, `false` otherwise.

#### appliesToStaticColumns

    boolean appliesToStaticColumns()

Checks if some of the conditions apply to static columns.

Returns:
  `true` if some of the conditions apply to static columns, `false` otherwise.

#### appliesToRegularColumns

    boolean appliesToRegularColumns()

Checks if some of the conditions apply to regular columns.

Returns:
  `true` if some of the conditions apply to regular columns, `false` otherwise.

#### addConditionsTo

    void addConditionsTo(CQL3CasRequest request,
                         Clustering clustering,
                         QueryOptions options)

Adds the conditions to the specified CAS request.

Parameters:
  `request` - the request
  `clustering` - the clustering prefix
  `options` - the query options